# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/colorfill/vet247/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {
         ...

        "classmap": [
            ...
            
            "packages/colorfill/vet247/database/seeds",
            
            ...
        ],
        "psr-4": {
            ...
            
            "Colorfill\\Vet247\\": "packages/colorfill/vet247/src",
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Colorfill\Vet247\Providers\Vet247ServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'Vet247'  => Colorfill\Vet247\Facades\Vet247::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Colorfill\\Vet247TableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Colorfill\Vet247\Providers\Vet247ServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Colorfill\Vet247\Providers\Vet247ServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Colorfill\Vet247\Providers\Vet247ServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/vet247/{modulename}

**User**

    http://path-to-route-folder/user/vet247/{modulename}

**Public**

    http://path-to-route-folder/vet247s


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/vet247/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/vet247/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/vet247/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/vet247/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/vet247/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/vet247/{modulename}/{slug}
    METHOD: GET